Robotsystem of the Robot Group Leipzig: InvertController Class Reference

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages
- Examples

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# InvertController Class Reference

Abstract class (interface) for robot controller that use direct matrix inversion and simple one layer networks. More...

`#include <invertcontroller.h>`

Inherits AbstractController.

Inherited by InvertNChannelController.

Inheritance diagram for InvertController:

[legend]
Collaboration diagram for InvertController:

[legend]
List of all members.

## Public Member Functions
| InvertController (const std::string &name, const std::string &revision)
virtual paramval | getParam (const paramkey &key) const
virtual bool | setParam (const paramkey &key, paramval val)
virtual paramlist | getParamList () const
| The list of all parameters with there value as allocated lists.
## Protected Attributes
paramval | eps
paramval | rho
paramval | desens
paramval | s4delay
paramval | s4avg
paramval | factor_a
paramval | number_it
paramval | epsilon_it
paramval | delta
paramval | damping_c

## Detailed Description

Abstract class (interface) for robot controller that use direct matrix inversion and simple one layer networks.

Implements standart parameters: eps, rho, mu, stepnumber4avg, stepnumber4delay

## Constructor & Destructor Documentation

InvertController | ( | const std::string & | name,
|  | const std::string & | revision |
| ) |  |  | `[inline]`

## Member Function Documentation

virtual paramval getParam | ( | const paramkey & | key | ) | const`[inline, virtual]`

virtual paramlist getParamList | ( |  | ) | const`[inline, virtual]`

The list of all parameters with there value as allocated lists.

Returns:
  list of key-value pairs

Reimplemented from Configurable.

virtual bool setParam | ( | const paramkey & | key,
|  | paramval | val |
| ) |  |  | `[inline, virtual]`

## Member Data Documentation

paramval damping_c`[protected]`

paramval delta`[protected]`

paramval desens`[protected]`

paramval eps`[protected]`

paramval epsilon_it`[protected]`

paramval factor_a`[protected]`

paramval number_it`[protected]`

paramval rho`[protected]`

paramval s4avg`[protected]`

paramval s4delay`[protected]`

The documentation for this class was generated from the following file:

- invertcontroller.h